org.apache.ignite.internal

## Interface IgniteTransactionsEx

All Superinterfaces:
  IgniteTransactions

All Known Implementing Classes:
  IgniteTransactionsImpl

    public interface IgniteTransactionsEx
    extends IgniteTransactions

Extended interface to work with system transactions.

### Method Summary

Methods
`IgniteInternalTx` `txStartEx(GridCacheContext ctx, TransactionConcurrency concurrency, TransactionIsolation isolation)`
`IgniteInternalTx` `txStartEx(GridCacheContext ctx, TransactionConcurrency concurrency, TransactionIsolation isolation, long timeout, int txSize)`

### Methods inherited from interface org.apache.ignite.IgniteTransactions

`metrics, resetMetrics, tx, txStart, txStart, txStart`

### Method Detail

#### txStartEx

    IgniteInternalTx txStartEx(GridCacheContext ctx,
                             TransactionConcurrency concurrency,
                             TransactionIsolation isolation,
                             long timeout,
                             int txSize)

Parameters:
  `ctx` - Cache context.
  `concurrency` - Concurrency.
  `isolation` - Isolation.
  `timeout` - Timeout.
  `txSize` - Number of entries participating in transaction (may be approximate).
Returns:
  New transaction.

#### txStartEx

    IgniteInternalTx txStartEx(GridCacheContext ctx,
                             TransactionConcurrency concurrency,
                             TransactionIsolation isolation)

Parameters:
  `ctx` - Cache context.
  `concurrency` - Concurrency.
  `isolation` - Isolation.
Returns:
  New transaction.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016